{#
/**
 * @file
 * Zurb Foundations's theme implementation to display a single page.
 *
 * Available variables:
 *
 * General utility variables:
 * - base_path: The base URL path of the Drupal installation. Will usually be
 *   "/" unless you have installed Drupal in a sub-directory.
 * - is_front: A flag indicating if the current page is the front page.
 * - logged_in: A flag indicating if the user is registered and signed in.
 * - is_admin: A flag indicating if the user has permission to access
 *   administration pages.
 *
 * Site identity:
 * - front_page: The URL of the front page. Use this instead of base_path when
 *   linking to the front page. This includes the language domain or prefix.
 * - site_slogan: The slogan of the site. This is empty when displaying the site
 *   slogan has been disabled in theme settings.
 *
 * Page content (in order of occurrence in the default page.html.twig):
 * - messages: Status and error messages. Should be displayed prominently.
 * - node: Fully loaded node, if there is an automatically-loaded node
 *   associated with the page and the node ID is the second argument in the
 *   page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - page.meta_header
 * - page.header
 * - page.help
 * - page.highlighted
 * - page.content
 * - page.sidebar_first
 * - page.sidebar_second
 * - page.footer_first
 * - page.footer_middle
 * - page.footer_last
 *
 * @see template_preprocess_page()
 * @see bartik_preprocess_page()
 * @see html.html.twig
 */
#}

<div class="off-canvas-wrapper">
  <div class="inner-wrap off-canvas-wrapper-inner" id="inner-wrap" data-off-canvas-wrapper>
    <aside id="left-off-canvas-menu" class="off-canvas left-off-canvas-menu position-left" role="complementary" data-off-canvas>
      {{ page.left_off_canvas }}
    </aside>

    <aside id="right-off-canvas-menu" class="off-canvas right-off-canvas-menu position-right" role="complementary" data-off-canvas>
      {{ page.right_off_canvas }}
    </aside>

    <div class="off-canvas-content" data-off-canvas-content>
      {% if page.meta_header %}
        {% if meta_header_grid %}
          <div class="grid-container">
        {% endif %}
        {{ page.meta_header }}
        {% if meta_header_grid %}
          </div>
        {% endif %}
      {% endif %}

      <header class="header" role="banner" aria-label="{{ 'Site header'|t }}">
        {% if page.header %}
          <div class="grid-container">
            {{ page.header }}
          </div>
        {% endif %}
      </header>

      {# Depricated and to be removed. See issue 3179537 #}
      <div class="row">
        {% if show_account_info %}
          <div class="{{ site_slogan ? 'large-6' : 'large-4 columns large-offset-8' }} columns hide-for-small">
            <p>
              {% if logged_in %}
                <a href="{{ path('user.page') }}">{{ 'My Account'|t }}</a>
                <a href="{{ path('user.logout') }}">{{ 'Logout'|t }}</a>
              {% else %}
                <a href="{{ path('user.login') }}">{{ 'Login'|t }}</a>
                <a href="{{ path('user.register') }}">{{ 'Sign Up'|t }}</a>
              {% endif %}
            </p>
          </div>
        {% endif %}
        {% if site_slogan %}
          <div class="large-6 columns hide-for-small">
            {{ site_slogan }}
          </div>
        {% endif %}
        {% if show_account_info %}
          <div class="show-for-small">
            <div class="six mobile-two columns">
              <p>
                <a href="{{ path('user.login') }}" class="radius button">{{ 'Login'|t }}</a>
              </p>
            </div>
            <div class="six mobile-two columns">
              <p>
                <a href="{{ path('user.register') }}" class="radius success button">{{ 'Sign Up'|t }}</a>
              </p>
            </div>
          </div>
        {% endif %}
      </div>
      {# End of section to be removed #}

      {% if messages and not zurb_foundation_messages_modal %}
        <div class="l-messages grid-container">
          {{ messages }}
        </div>
      {% endif %}

      {% if page.help %}
        <div class="l-help grid-container">
          {{ page.help }}
        </div>
      {% endif %}

      <div class="grid-container">
        <div class="grid-x grid-margin-x">
          <main id="main" class="{{ main_grid }}" role="main">
            {% if page.highlighted %}
              {% apply spaceless %}
                {{ page.highlighted }}
              {% endapply %}
            {% endif %}
            <a id="main-content"></a>
            {% if breadcrumb %} {{ breadcrumb }} {% endif %}
            <section>
              {{ page.content }}
            </section>
          </main>
          {% if page.sidebar_first %}
            <div id="sidebar-first" class="{{ sidebar_first_grid }} sidebar ">
              {{ page.sidebar_first }}
            </div>
          {% endif %}
          {% if page.sidebar_second %}
            <div id="sidebar-second" class="{{ sidebar_sec_grid }} sidebar">
              {{ page.sidebar_second }}
            </div>
          {% endif %}
        </div>
      </div>
      {% if page.footer_first or page.footer_middle or page.footer_last %}
        <footer class="grid-container footer" id="footer">
          <div class="grid-x grid-margin-x">
            {% if page.footer_first %}
              <div id="footer-first" class="cell large-4">
                {{ page.footer_first }}
              </div>
            {% endif %}
            {% if page.footer_middle %}
              <div id="footer-middle" class="cell large-4">
                {{ page.footer_middle }}
              </div>
            {% endif %}
            {% if page.footer_last %}
              <div id="footer-last" class="cell large-4">
                {{ page.footer_last }}
              </div>
            {% endif %}
          </div>
        </footer>
      {% endif %}
      {% if block_copyright_show %}
        <div class="bottom-bar callout secondary grid-x">
          {% if not block_copyright_custom_text %}
            <p>&copy; {{ "now"|date('Y') }} {{ site_name }} {{ 'All rights reserved.'|t }}</p>
          {% else %}
            {{ block_copyright }}
          {% endif %}
        </div>
      {% endif %}
    </div>
  </div>
</div>
